All Classes Files Functions Enumerations Enumerator Macros
qfi_HSI Class Reference

`#include <qfi_HSI.h>`

Inheritance diagram for qfi_HSI:

## Public Member Functions

| qfi_HSI (QWidget *parent=0)
virtual | ~qfi_HSI ()
void | reinit ()
void | update ()
void | setHeading (float heading)

## Protected Member Functions

void | resizeEvent (QResizeEvent *event)

## Detailed Description

Horizontal Situation Indicator widget.

## Constructor & Destructor Documentation

qfi_HSI::qfi_HSI | ( | QWidget * | parent = `0` | ) |

Constructor.

qfi_HSI::~qfi_HSI | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

void qfi_HSI::reinit | ( |  | ) |

Reinitiates widget.

void qfi_HSI::resizeEvent | ( | QResizeEvent * | event | ) |

protected

void qfi_HSI::setHeading | ( | float | heading | ) |

Parameters

  heading | [deg]

void qfi_HSI::update | ( |  | ) |

Refreshes (redraws) widget.

The documentation for this class was generated from the following files:

- qfi_HSI.h
- qfi_HSI.cpp